package net.northking.cctp.maven.analyse.dialects;

/**
 * PostgreSQL
 * <p>
 * Created on 2019/8/8
 *
 * @author xiusong.xie
 * @since 1.0
 */
public class PostgreSQLDialect extends AbsDialect
{
  /**
   * 单例模式：PostgreSQL 数据库方言实例
   */
  private static PostgreSQLDialect instance = new PostgreSQLDialect();

  /**
   * 单例模式：隐藏构造函数
   */
  private PostgreSQLDialect() {}

  /**
   * 获取 PostgreSQL 方言实例
   *
   * @return PostgreSQL 方言实例
   */
  public static PostgreSQLDialect getInstance()
  {
    return instance;
  }
}
